Subject: Re: [X2Go-Dev] Bug#765: Bug#765: Kex Error in X2Go client

From: Michael DePaulo <[email-masked]>
Date: Tue, 3 Mar 2015 20:04:00 -0500

On Tue, Mar 3, 2015 at 8:31 AM, Mihai Moldovan <[email-masked]> wrote:
> Control: reassign -1 x2goclient
> Thanks
>
>
> Hi
>
>
> On 24.01.2015 01:53 PM, promox wrote:
>> Package: X2GO Client
>>
>> Version: 4.0.3.1
>>
>> Hi,
>> Before my server using ubuntu but now I am switching to centos. But
>> when I connect to server using x2go. I got error message: kex error:
>> no match for method server host key algo: server [ssh-rsa,ssh-dss],
>> client [ecdas-sha2-nistp256].
>>
>> Have anyway to fix that error?
>
> This issue came up on the IRC channel a few days back and it looks like
> your server is missing an RSA key.
>
> Can you please run "sudo ssh-keygen -A", then restart the ssh daemon and
> test again?
>
> N.B.: there's nothing x2goclient can do about this situation, unfortunately.
>
>
>
> Mihai

Mihai,

He already has an RSA key. And a DSA key. The problem is that X2Go
Client for Windows is limiting him to an ecdsa-sha2-nistp256 key. It
won't even accept other key lengths.

Promox,

You should run this command, then restart the ssh daemon:
ssh-keygen -f /etc/ssh/ssh_host_ecdsa_key -N '' -t ecdsa -b 256

-Mike#2